Bug 1136245 - libunistring-0.9.7 is available
Summary: libunistring-0.9.7 is available
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: libunistring
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pádraig Brady
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-09-02 08:48 UTC by Upstream Release Monitoring
Modified: 2017-02-20 09:02 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-20 09:02:30 UTC


Attachments (Terms of Use)
[patch] Update to 0.9.6 (#1136245) (994 bytes, text/x-diff)
2015-07-08 12:15 UTC, Upstream Release Monitoring
no flags Details
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (15.15 KB, patch)
2016-12-03 00:19 UTC, Upstream Release Monitoring
no flags Details | Diff

Description Upstream Release Monitoring 2014-09-02 08:48:33 UTC
Latest upstream release: 0.9.4
Current version/release in Fedora Rawhide: 0.9.3-11.fc22
URL: http://ftp.gnu.org/gnu/libunistring/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring Soon this service will be implemented by a new system: https://github.com/fedora-infra/anitya/
It will require to manage monitored projects via a new web interface. Please make yourself familiar with the new system to ease the transition.

Comment 1 Upstream Release Monitoring 2015-02-17 09:37:50 UTC
Latest upstream release: 0.9.5
Current version/release in Fedora Rawhide: 0.9.4-1.fc22
URL: http://ftp.gnu.org/gnu/libunistring/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring Soon this service will be implemented by a new system: https://release-monitoring.org/
It will require to manage monitored projects via a new web interface. Please make yourself familiar with the new system to ease the transition.

Comment 2 Upstream Release Monitoring 2015-07-08 12:15:24 UTC
Latest upstream release: 0.9.6
Current version/release in rawhide: 0.9.4-2.fc23
URL: http://www.gnu.org/software/libunistring/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 3 Upstream Release Monitoring 2015-07-08 12:15:34 UTC
Created attachment 1049853 [details]
[patch] Update to 0.9.6 (#1136245)

Comment 4 Upstream Release Monitoring 2015-07-08 12:24:10 UTC
Scratch build succeeded http://koji.fedoraproject.org/koji/taskinfo?taskID=10322814

Comment 5 Upstream Release Monitoring 2016-12-03 00:18:57 UTC
Latest upstream release: 0.9.7
Current version/release in rawhide: 0.9.4-3.fc24
URL: http://www.gnu.org/software/libunistring/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/1747/

Comment 6 Upstream Release Monitoring 2016-12-03 00:19:23 UTC
Patching or scratch build for libunistring-0.9.4 failed.

Comment 7 Upstream Release Monitoring 2016-12-03 00:19:25 UTC
Created attachment 1227526 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.

Comment 8 Upstream Release Monitoring 2016-12-03 00:19:26 UTC
Patches were not touched. All were applied properly

Comment 9 Nikos Mavrogiannopoulos 2017-02-14 06:58:39 UTC
Hi,
 Could you please update to the latest libunistring? It has many new functions required by a newer libidn2.

Comment 10 Pádraig Brady 2017-02-16 03:21:53 UTC
Tagging Daiki as I've not Fedora 25 installed at the moment, and you need the latest to update rpms currently

Comment 11 Daiki Ueno 2017-02-16 16:21:23 UTC
I believe updating it to 0.9.7 would be fairly safe and easy.  At least the ABI version haven't changed since 0.9.3:
http://git.savannah.gnu.org/cgit/libunistring.git/log/lib/Makefile.am

If you want me to do that, approve the commit access which I requested a while ago:
https://admin.fedoraproject.org/pkgdb/package/rpms/libunistring/

Comment 12 Pádraig Brady 2017-02-17 06:47:17 UTC
ACLs updated. Sorry I missed that. Thanks!

Comment 13 Upstream Release Monitoring 2017-02-17 14:42:51 UTC
ueno's libunistring-0.9.7-1.fc26 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=859911

Comment 14 Daiki Ueno 2017-02-20 09:02:30 UTC
Thank you, built it in rawhide.  If it needs to be built for the released branches, let me know.


Note You need to log in before you can comment on or make changes to this bug.